aboutsummaryrefslogtreecommitdiffstats
path: root/test/rt/testbuild/go.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/rt/testbuild/go.sh')
-rw-r--r--test/rt/testbuild/go.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/test/rt/testbuild/go.sh b/test/rt/testbuild/go.sh
new file mode 100644
index 000000000..440237375
--- /dev/null
+++ b/test/rt/testbuild/go.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+export XOPT XDEFS
+
+XOPT="-ggdb -O2 -fomit-frame-pointer -DDELAY_BETWEEN_TESTS=0"
+XDEFS=""
+
+function clean() {
+ make clean > /dev/null
+}
+
+function compile() {
+ echo -n " * Building..."
+ if ! make > buildlog.txt
+ then
+ echo "failed"
+ clean
+ exit
+ fi
+ echo "OK"
+}
+
+function execute_test() {
+ echo -n " * Testing..."
+ if ! ./ch > testlog.txt
+ then
+ echo "failed"
+ clean
+ exit
+ fi
+ echo "OK"
+ clean
+}
+
+echo "Default maximum settings"
+compile
+execute_test